# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'main_layout.ui'
#
# Created by: PyQt5 UI code generator 5.15.6
#
# WARNING: Any manual changes made to this file will be lost when pyuic5 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt5 import QtCore, QtGui, QtWidgets


class Ui_MainWindow(object):
    def setupUi(self, MainWindow):
        MainWindow.setObjectName("MainWindow")
        MainWindow.setWindowModality(QtCore.Qt.NonModal)
        MainWindow.resize(1600, 900)
        MainWindow.setMinimumSize(QtCore.QSize(0, 0))
        MainWindow.setMaximumSize(QtCore.QSize(1600, 1000))
        self.centralwidget = QtWidgets.QWidget(MainWindow)
        self.centralwidget.setObjectName("centralwidget")
        self.verticalLayoutWidget = QtWidgets.QWidget(self.centralwidget)
        self.verticalLayoutWidget.setGeometry(QtCore.QRect(0, 0, 1591, 701))
        self.verticalLayoutWidget.setObjectName("verticalLayoutWidget")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.verticalLayoutWidget)
        self.verticalLayout.setContentsMargins(0, 0, 0, 0)
        self.verticalLayout.setObjectName("verticalLayout")
        self.Testtype = QtWidgets.QComboBox(self.centralwidget)
        self.Testtype.setGeometry(QtCore.QRect(0, 740, 331, 31))
        self.Testtype.setStyleSheet("QComboBox {\n"
"    combobox-popup: 0;\n"
"}")
        self.Testtype.setObjectName("Testtype")
        self.Runmode_label = QtWidgets.QLabel(self.centralwidget)
        self.Runmode_label.setGeometry(QtCore.QRect(340, 710, 101, 31))
        self.Runmode_label.setObjectName("Runmode_label")
        self.Run_mode = QtWidgets.QComboBox(self.centralwidget)
        self.Run_mode.setGeometry(QtCore.QRect(340, 740, 91, 31))
        self.Run_mode.setObjectName("Run_mode")
        self.Run_btn = QtWidgets.QPushButton(self.centralwidget)
        self.Run_btn.setGeometry(QtCore.QRect(800, 710, 81, 61))
        self.Run_btn.setObjectName("Run_btn")
        self.sleep_label = QtWidgets.QLabel(self.centralwidget)
        self.sleep_label.setGeometry(QtCore.QRect(684, 710, 111, 31))
        self.sleep_label.setObjectName("sleep_label")
        self.duration = QtWidgets.QComboBox(self.centralwidget)
        self.duration.setGeometry(QtCore.QRect(684, 740, 101, 31))
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.duration.sizePolicy().hasHeightForWidth())
        self.duration.setSizePolicy(sizePolicy)
        self.duration.setObjectName("duration")
        self.duration.addItem("")
        self.duration.addItem("")
        self.duration.addItem("")
        self.duration.addItem("")
        self.duration.addItem("")
        self.duration.addItem("")
        self.duration.addItem("")
        self.duration.addItem("")
        self.duration.addItem("")
        self.duration.addItem("")
        self.duration.addItem("")
        self.duration.addItem("")
        self.RDIinfo_label_2 = QtWidgets.QLabel(self.centralwidget)
        self.RDIinfo_label_2.setGeometry(QtCore.QRect(0, 710, 161, 31))
        self.RDIinfo_label_2.setObjectName("RDIinfo_label_2")
        self.sleep_label_2 = QtWidgets.QLabel(self.centralwidget)
        self.sleep_label_2.setGeometry(QtCore.QRect(441, 710, 131, 31))
        self.sleep_label_2.setObjectName("sleep_label_2")
        self.reboot_test = QtWidgets.QComboBox(self.centralwidget)
        self.reboot_test.setGeometry(QtCore.QRect(440, 740, 131, 31))
        self.reboot_test.setObjectName("reboot_test")
        self.reboot_test.addItem("")
        self.reboot_test.addItem("")
        self.reboot_test.addItem("")
        self.auto_parse_data = QtWidgets.QCheckBox(self.centralwidget)
        self.auto_parse_data.setGeometry(QtCore.QRect(980, 720, 191, 23))
        self.auto_parse_data.setObjectName("auto_parse_data")
        self.auto_send_mail = QtWidgets.QCheckBox(self.centralwidget)
        self.auto_send_mail.setGeometry(QtCore.QRect(980, 740, 191, 23))
        self.auto_send_mail.setObjectName("auto_send_mail")
        self.num_cycle = QtWidgets.QComboBox(self.centralwidget)
        self.num_cycle.setGeometry(QtCore.QRect(577, 740, 101, 31))
        self.num_cycle.setObjectName("num_cycle")
        self.num_cycle.addItem("")
        self.num_cycle.addItem("")
        self.num_cycle.addItem("")
        self.num_cycle.addItem("")
        self.num_cycle.addItem("")
        self.num_cycle.addItem("")
        self.num_cycle.addItem("")
        self.num_cycle.addItem("")
        self.sleep_label_4 = QtWidgets.QLabel(self.centralwidget)
        self.sleep_label_4.setGeometry(QtCore.QRect(579, 710, 131, 31))
        self.sleep_label_4.setObjectName("sleep_label_4")
        self.stop_btn = QtWidgets.QPushButton(self.centralwidget)
        self.stop_btn.setGeometry(QtCore.QRect(890, 710, 81, 61))
        self.stop_btn.setObjectName("stop_btn")
        self.bmc_label = QtWidgets.QLabel(self.centralwidget)
        self.bmc_label.setGeometry(QtCore.QRect(800, 780, 201, 16))
        self.bmc_label.setScaledContents(True)
        self.bmc_label.setObjectName("bmc_label")
        self.groupBox = QtWidgets.QGroupBox(self.centralwidget)
        self.groupBox.setGeometry(QtCore.QRect(0, 780, 771, 101))
        self.groupBox.setObjectName("groupBox")
        self.Chip_select = QtWidgets.QComboBox(self.groupBox)
        self.Chip_select.setGeometry(QtCore.QRect(90, 20, 121, 32))
        self.Chip_select.setStyleSheet("QComboBox {\n"
"    combobox-popup: 0;\n"
"}")
        self.Chip_select.setObjectName("Chip_select")
        self.Chip_select.addItem("")
        self.CS_label = QtWidgets.QLabel(self.groupBox)
        self.CS_label.setGeometry(QtCore.QRect(0, 30, 91, 16))
        self.CS_label.setObjectName("CS_label")
        self.Link = QtWidgets.QComboBox(self.groupBox)
        self.Link.setGeometry(QtCore.QRect(260, 20, 121, 32))
        self.Link.setStyleSheet("QComboBox {\n"
"    combobox-popup: 0;\n"
"}")
        self.Link.setObjectName("Link")
        self.Link.addItem("")
        self.Link_label = QtWidgets.QLabel(self.groupBox)
        self.Link_label.setGeometry(QtCore.QRect(220, 30, 31, 16))
        self.Link_label.setObjectName("Link_label")
        self.Sub_link_label = QtWidgets.QLabel(self.groupBox)
        self.Sub_link_label.setGeometry(QtCore.QRect(390, 30, 61, 16))
        self.Sub_link_label.setObjectName("Sub_link_label")
        self.Sub_link = QtWidgets.QComboBox(self.groupBox)
        self.Sub_link.setGeometry(QtCore.QRect(450, 20, 121, 32))
        self.Sub_link.setStyleSheet("QComboBox {\n"
"    combobox-popup: 0;\n"
"}")
        self.Sub_link.setObjectName("Sub_link")
        self.Sub_link.addItem("")
        self.Lane_label = QtWidgets.QLabel(self.groupBox)
        self.Lane_label.setGeometry(QtCore.QRect(580, 30, 41, 16))
        self.Lane_label.setObjectName("Lane_label")
        self.Lane = QtWidgets.QComboBox(self.groupBox)
        self.Lane.setGeometry(QtCore.QRect(650, 20, 121, 32))
        self.Lane.setStyleSheet("QComboBox {\n"
"    combobox-popup: 0;\n"
"}")
        self.Lane.setObjectName("Lane")
        self.Lane.addItem("")
        self.re_CS_label = QtWidgets.QLabel(self.groupBox)
        self.re_CS_label.setGeometry(QtCore.QRect(0, 60, 111, 16))
        self.re_CS_label.setObjectName("re_CS_label")
        self.Re_Chip_select = QtWidgets.QComboBox(self.groupBox)
        self.Re_Chip_select.setGeometry(QtCore.QRect(90, 50, 121, 32))
        self.Re_Chip_select.setObjectName("Re_Chip_select")
        self.Re_link = QtWidgets.QComboBox(self.groupBox)
        self.Re_link.setGeometry(QtCore.QRect(260, 50, 121, 32))
        self.Re_link.setObjectName("Re_link")
        self.re_Link_label = QtWidgets.QLabel(self.groupBox)
        self.re_Link_label.setGeometry(QtCore.QRect(220, 50, 41, 41))
        self.re_Link_label.setObjectName("re_Link_label")
        self.Re_sublink = QtWidgets.QComboBox(self.groupBox)
        self.Re_sublink.setGeometry(QtCore.QRect(450, 50, 121, 32))
        self.Re_sublink.setObjectName("Re_sublink")
        self.re_Sub_Link_label = QtWidgets.QLabel(self.groupBox)
        self.re_Sub_Link_label.setGeometry(QtCore.QRect(390, 50, 61, 41))
        self.re_Sub_Link_label.setObjectName("re_Sub_Link_label")
        self.Re_lane = QtWidgets.QComboBox(self.groupBox)
        self.Re_lane.setGeometry(QtCore.QRect(650, 50, 121, 32))
        self.Re_lane.setObjectName("Re_lane")
        self.re_lane_label = QtWidgets.QLabel(self.groupBox)
        self.re_lane_label.setGeometry(QtCore.QRect(580, 50, 61, 41))
        self.re_lane_label.setObjectName("re_lane_label")
        self.groupBox_2 = QtWidgets.QGroupBox(self.centralwidget)
        self.groupBox_2.setGeometry(QtCore.QRect(800, 800, 261, 80))
        self.groupBox_2.setObjectName("groupBox_2")
        self.timer_label = QtWidgets.QLabel(self.groupBox_2)
        self.timer_label.setGeometry(QtCore.QRect(0, 10, 331, 61))
        font = QtGui.QFont()
        font.setPointSize(36)
        self.timer_label.setFont(font)
        self.timer_label.setObjectName("timer_label")
        MainWindow.setCentralWidget(self.centralwidget)
        self.menuBar = QtWidgets.QMenuBar(MainWindow)
        self.menuBar.setGeometry(QtCore.QRect(0, 0, 1600, 22))
        self.menuBar.setObjectName("menuBar")
        self.menuLogParser = QtWidgets.QMenu(self.menuBar)
        self.menuLogParser.setObjectName("menuLogParser")
        self.menuSensor_Data = QtWidgets.QMenu(self.menuLogParser)
        self.menuSensor_Data.setObjectName("menuSensor_Data")
        self.menuPower = QtWidgets.QMenu(self.menuBar)
        self.menuPower.setObjectName("menuPower")
        self.menuFan_Control = QtWidgets.QMenu(self.menuPower)
        self.menuFan_Control.setObjectName("menuFan_Control")
        self.menuSet_Fan_PWM = QtWidgets.QMenu(self.menuFan_Control)
        self.menuSet_Fan_PWM.setObjectName("menuSet_Fan_PWM")
        self.menuOthers = QtWidgets.QMenu(self.menuBar)
        self.menuOthers.setObjectName("menuOthers")
        self.menuSensors_Realtime_Monitor = QtWidgets.QMenu(self.menuOthers)
        self.menuSensors_Realtime_Monitor.setObjectName("menuSensors_Realtime_Monitor")
        self.menuNvparamConf = QtWidgets.QMenu(self.menuBar)
        self.menuNvparamConf.setObjectName("menuNvparamConf")
        self.menuRDI_Speed = QtWidgets.QMenu(self.menuNvparamConf)
        self.menuRDI_Speed.setObjectName("menuRDI_Speed")
        self.menuTurn_On_Off_RAS = QtWidgets.QMenu(self.menuNvparamConf)
        self.menuTurn_On_Off_RAS.setObjectName("menuTurn_On_Off_RAS")
        self.menuBoot_Mode = QtWidgets.QMenu(self.menuNvparamConf)
        self.menuBoot_Mode.setObjectName("menuBoot_Mode")
        self.menuEnable_RDI_Bandwidth_Control = QtWidgets.QMenu(self.menuNvparamConf)
        self.menuEnable_RDI_Bandwidth_Control.setObjectName("menuEnable_RDI_Bandwidth_Control")
        self.menuRDI_ReCalibration = QtWidgets.QMenu(self.menuNvparamConf)
        self.menuRDI_ReCalibration.setObjectName("menuRDI_ReCalibration")
        self.menu1P_2P = QtWidgets.QMenu(self.menuNvparamConf)
        self.menu1P_2P.setObjectName("menu1P_2P")
        self.menuMesh_Mode = QtWidgets.QMenu(self.menuNvparamConf)
        self.menuMesh_Mode.setObjectName("menuMesh_Mode")
        self.menuStressTest = QtWidgets.QMenu(self.menuBar)
        self.menuStressTest.setObjectName("menuStressTest")
        self.menuBoardConfig = QtWidgets.QMenu(self.menuBar)
        self.menuBoardConfig.setObjectName("menuBoardConfig")
        MainWindow.setMenuBar(self.menuBar)
        self.actionBISTlog = QtWidgets.QAction(MainWindow)
        self.actionBISTlog.setObjectName("actionBISTlog")
        self.actionATBlog = QtWidgets.QAction(MainWindow)
        self.actionATBlog.setObjectName("actionATBlog")
        self.actionSSOlog = QtWidgets.QAction(MainWindow)
        self.actionSSOlog.setObjectName("actionSSOlog")
        self.actionJDDlog = QtWidgets.QAction(MainWindow)
        self.actionJDDlog.setObjectName("actionJDDlog")
        self.actionPMlog = QtWidgets.QAction(MainWindow)
        self.actionPMlog.setObjectName("actionPMlog")
        self.actionIOBlog = QtWidgets.QAction(MainWindow)
        self.actionIOBlog.setObjectName("actionIOBlog")
        self.actionRebootDC = QtWidgets.QAction(MainWindow)
        self.actionRebootDC.setObjectName("actionRebootDC")
        self.actionRebootAC = QtWidgets.QAction(MainWindow)
        self.actionRebootAC.setObjectName("actionRebootAC")
        self.actionRefresh_Terminal_Console = QtWidgets.QAction(MainWindow)
        self.actionRefresh_Terminal_Console.setObjectName("actionRefresh_Terminal_Console")
        self.actionFlash_Firmware = QtWidgets.QAction(MainWindow)
        self.actionFlash_Firmware.setObjectName("actionFlash_Firmware")
        self.actionSaveLog = QtWidgets.QAction(MainWindow)
        self.actionSaveLog.setObjectName("actionSaveLog")
        self.actionTurnoff = QtWidgets.QAction(MainWindow)
        self.actionTurnoff.setObjectName("actionTurnoff")
        self.actionTurnon = QtWidgets.QAction(MainWindow)
        self.actionTurnon.setObjectName("actionTurnon")
        self.actionRDI_Regs_Dump = QtWidgets.QAction(MainWindow)
        self.actionRDI_Regs_Dump.setObjectName("actionRDI_Regs_Dump")
        self.action24_Gb_s = QtWidgets.QAction(MainWindow)
        self.action24_Gb_s.setObjectName("action24_Gb_s")
        self.action32_Gb_s = QtWidgets.QAction(MainWindow)
        self.action32_Gb_s.setObjectName("action32_Gb_s")
        self.action36_Gb_s = QtWidgets.QAction(MainWindow)
        self.action36_Gb_s.setObjectName("action36_Gb_s")
        self.action40_Gb_s = QtWidgets.QAction(MainWindow)
        self.action40_Gb_s.setObjectName("action40_Gb_s")
        self.actionCustom_Speed = QtWidgets.QAction(MainWindow)
        self.actionCustom_Speed.setObjectName("actionCustom_Speed")
        self.actionTurn_On_RAS = QtWidgets.QAction(MainWindow)
        self.actionTurn_On_RAS.setObjectName("actionTurn_On_RAS")
        self.actionTurn_Off_RAS = QtWidgets.QAction(MainWindow)
        self.actionTurn_Off_RAS.setObjectName("actionTurn_Off_RAS")
        self.actionEnable_MCU0 = QtWidgets.QAction(MainWindow)
        self.actionEnable_MCU0.setObjectName("actionEnable_MCU0")
        self.actionEnable_MCU1 = QtWidgets.QAction(MainWindow)
        self.actionEnable_MCU1.setObjectName("actionEnable_MCU1")
        self.actionEnable_MCU2 = QtWidgets.QAction(MainWindow)
        self.actionEnable_MCU2.setObjectName("actionEnable_MCU2")
        self.actionEnable_MCU3 = QtWidgets.QAction(MainWindow)
        self.actionEnable_MCU3.setObjectName("actionEnable_MCU3")
        self.actionEnable_all_MCUs = QtWidgets.QAction(MainWindow)
        self.actionEnable_all_MCUs.setObjectName("actionEnable_all_MCUs")
        self.action_boot_linux = QtWidgets.QAction(MainWindow)
        self.action_boot_linux.setObjectName("action_boot_linux")
        self.action_boot_mprotest = QtWidgets.QAction(MainWindow)
        self.action_boot_mprotest.setObjectName("action_boot_mprotest")
        self.action_boot_atft = QtWidgets.QAction(MainWindow)
        self.action_boot_atft.setObjectName("action_boot_atft")
        self.actionEDK2 = QtWidgets.QAction(MainWindow)
        self.actionEDK2.setObjectName("actionEDK2")
        self.actionEnable_second_console = QtWidgets.QAction(MainWindow)
        self.actionEnable_second_console.setObjectName("actionEnable_second_console")
        self.actionEnRdiBw = QtWidgets.QAction(MainWindow)
        self.actionEnRdiBw.setObjectName("actionEnRdiBw")
        self.actionDisRdiBw = QtWidgets.QAction(MainWindow)
        self.actionDisRdiBw.setObjectName("actionDisRdiBw")
        self.actionExitTool = QtWidgets.QAction(MainWindow)
        self.actionExitTool.setObjectName("actionExitTool")
        self.actionDDR_4800 = QtWidgets.QAction(MainWindow)
        self.actionDDR_4800.setObjectName("actionDDR_4800")
        self.action_fan_off = QtWidgets.QAction(MainWindow)
        self.action_fan_off.setObjectName("action_fan_off")
        self.action_fan_25 = QtWidgets.QAction(MainWindow)
        self.action_fan_25.setObjectName("action_fan_25")
        self.action_fan_50 = QtWidgets.QAction(MainWindow)
        self.action_fan_50.setObjectName("action_fan_50")
        self.action_fan_100 = QtWidgets.QAction(MainWindow)
        self.action_fan_100.setObjectName("action_fan_100")
        self.actionRAS_Analyzer = QtWidgets.QAction(MainWindow)
        self.actionRAS_Analyzer.setObjectName("actionRAS_Analyzer")
        self.actionMonitor_Sensors_via_BMC = QtWidgets.QAction(MainWindow)
        self.actionMonitor_Sensors_via_BMC.setObjectName("actionMonitor_Sensors_via_BMC")
        self.actionMonitor_Sensors_via_Mpro = QtWidgets.QAction(MainWindow)
        self.actionMonitor_Sensors_via_Mpro.setObjectName("actionMonitor_Sensors_via_Mpro")
        self.actionTSM_Data = QtWidgets.QAction(MainWindow)
        self.actionTSM_Data.setObjectName("actionTSM_Data")
        self.actionPEM_Debug_Data = QtWidgets.QAction(MainWindow)
        self.actionPEM_Debug_Data.setObjectName("actionPEM_Debug_Data")
        self.actionPEM_Dump_Data = QtWidgets.QAction(MainWindow)
        self.actionPEM_Dump_Data.setObjectName("actionPEM_Dump_Data")
        self.actionMonitor_PEM_module = QtWidgets.QAction(MainWindow)
        self.actionMonitor_PEM_module.setObjectName("actionMonitor_PEM_module")
        self.actionFlash_BMC = QtWidgets.QAction(MainWindow)
        self.actionFlash_BMC.setObjectName("actionFlash_BMC")
        self.actionLinux_Stress_Test = QtWidgets.QAction(MainWindow)
        self.actionLinux_Stress_Test.setObjectName("actionLinux_Stress_Test")
        self.actionATFT_Stress_Test = QtWidgets.QAction(MainWindow)
        self.actionATFT_Stress_Test.setObjectName("actionATFT_Stress_Test")
        self.actionRecal_en = QtWidgets.QAction(MainWindow)
        self.actionRecal_en.setObjectName("actionRecal_en")
        self.action2Pto1P = QtWidgets.QAction(MainWindow)
        self.action2Pto1P.setObjectName("action2Pto1P")
        self.action1Pto2P = QtWidgets.QAction(MainWindow)
        self.action1Pto2P.setObjectName("action1Pto2P")
        self.actionLinux_Stress_Test_2 = QtWidgets.QAction(MainWindow)
        self.actionLinux_Stress_Test_2.setObjectName("actionLinux_Stress_Test_2")
        self.actionRecal_dis = QtWidgets.QAction(MainWindow)
        self.actionRecal_dis.setObjectName("actionRecal_dis")
        self.actionRDI_Draw_SDO = QtWidgets.QAction(MainWindow)
        self.actionRDI_Draw_SDO.setObjectName("actionRDI_Draw_SDO")
        self.actionRecal_on_Period_En = QtWidgets.QAction(MainWindow)
        self.actionRecal_on_Period_En.setObjectName("actionRecal_on_Period_En")
        self.actionRecal_on_Period_Dis = QtWidgets.QAction(MainWindow)
        self.actionRecal_on_Period_Dis.setObjectName("actionRecal_on_Period_Dis")
        self.action_boot_slc = QtWidgets.QAction(MainWindow)
        self.action_boot_slc.setObjectName("action_boot_slc")
        self.actionEnable_BMC_Console = QtWidgets.QAction(MainWindow)
        self.actionEnable_BMC_Console.setObjectName("actionEnable_BMC_Console")
        self.actionEnable_Secpro_Console = QtWidgets.QAction(MainWindow)
        self.actionEnable_Secpro_Console.setObjectName("actionEnable_Secpro_Console")
        self.actionRDI_Report_Analyzer = QtWidgets.QAction(MainWindow)
        self.actionRDI_Report_Analyzer.setObjectName("actionRDI_Report_Analyzer")
        self.actionEnable_OpenOCD_via_BMC = QtWidgets.QAction(MainWindow)
        self.actionEnable_OpenOCD_via_BMC.setObjectName("actionEnable_OpenOCD_via_BMC")
        self.actionDDR_3600 = QtWidgets.QAction(MainWindow)
        self.actionDDR_3600.setObjectName("actionDDR_3600")
        self.actionDDR_3200 = QtWidgets.QAction(MainWindow)
        self.actionDDR_3200.setObjectName("actionDDR_3200")
        self.actionFix_BMC_IP = QtWidgets.QAction(MainWindow)
        self.actionFix_BMC_IP.setObjectName("actionFix_BMC_IP")
        self.actionChange_Console_Ports = QtWidgets.QAction(MainWindow)
        self.actionChange_Console_Ports.setObjectName("actionChange_Console_Ports")
        self.actionChange_CCM = QtWidgets.QAction(MainWindow)
        self.actionChange_CCM.setObjectName("actionChange_CCM")
        self.actionReload_Test_Command_List = QtWidgets.QAction(MainWindow)
        self.actionReload_Test_Command_List.setObjectName("actionReload_Test_Command_List")
        self.actionChange_DDRs_Speed = QtWidgets.QAction(MainWindow)
        self.actionChange_DDRs_Speed.setObjectName("actionChange_DDRs_Speed")
        self.actionDDR_4400 = QtWidgets.QAction(MainWindow)
        self.actionDDR_4400.setObjectName("actionDDR_4400")
        self.actionMono_Mode = QtWidgets.QAction(MainWindow)
        self.actionMono_Mode.setObjectName("actionMono_Mode")
        self.actionQurant_Mode = QtWidgets.QAction(MainWindow)
        self.actionQurant_Mode.setObjectName("actionQurant_Mode")
        self.action28_Gb_s = QtWidgets.QAction(MainWindow)
        self.action28_Gb_s.setObjectName("action28_Gb_s")
        self.action20_Gb_s = QtWidgets.QAction(MainWindow)
        self.action20_Gb_s.setObjectName("action20_Gb_s")
        self.actionHEMI1_Mode = QtWidgets.QAction(MainWindow)
        self.actionHEMI1_Mode.setObjectName("actionHEMI1_Mode")
        self.actionHEMI2_Mode = QtWidgets.QAction(MainWindow)
        self.actionHEMI2_Mode.setObjectName("actionHEMI2_Mode")
        self.actionMCU_Mask = QtWidgets.QAction(MainWindow)
        self.actionMCU_Mask.setObjectName("actionMCU_Mask")
        self.actionNvparam_Setting = QtWidgets.QAction(MainWindow)
        self.actionNvparam_Setting.setObjectName("actionNvparam_Setting")
        self.menuSensor_Data.addAction(self.actionTSM_Data)
        self.menuSensor_Data.addAction(self.actionPEM_Debug_Data)
        self.menuSensor_Data.addAction(self.actionPEM_Dump_Data)
        self.menuLogParser.addAction(self.actionBISTlog)
        self.menuLogParser.addAction(self.actionATBlog)
        self.menuLogParser.addAction(self.actionSSOlog)
        self.menuLogParser.addAction(self.actionRDI_Draw_SDO)
        self.menuLogParser.addAction(self.actionJDDlog)
        self.menuLogParser.addAction(self.actionPMlog)
        self.menuLogParser.addAction(self.actionIOBlog)
        self.menuLogParser.addAction(self.actionRDI_Regs_Dump)
        self.menuLogParser.addAction(self.actionRAS_Analyzer)
        self.menuLogParser.addAction(self.actionRDI_Report_Analyzer)
        self.menuLogParser.addAction(self.menuSensor_Data.menuAction())
        self.menuLogParser.addAction(self.actionLinux_Stress_Test_2)
        self.menuSet_Fan_PWM.addAction(self.action_fan_25)
        self.menuSet_Fan_PWM.addAction(self.action_fan_50)
        self.menuSet_Fan_PWM.addAction(self.action_fan_100)
        self.menuFan_Control.addAction(self.action_fan_off)
        self.menuFan_Control.addAction(self.menuSet_Fan_PWM.menuAction())
        self.menuPower.addAction(self.actionRebootDC)
        self.menuPower.addAction(self.actionRebootAC)
        self.menuPower.addAction(self.actionTurnoff)
        self.menuPower.addAction(self.actionTurnon)
        self.menuPower.addAction(self.menuFan_Control.menuAction())
        self.menuSensors_Realtime_Monitor.addAction(self.actionMonitor_Sensors_via_BMC)
        self.menuSensors_Realtime_Monitor.addAction(self.actionMonitor_Sensors_via_Mpro)
        self.menuSensors_Realtime_Monitor.addAction(self.actionMonitor_PEM_module)
        self.menuOthers.addAction(self.actionSaveLog)
        self.menuOthers.addAction(self.actionFlash_Firmware)
        self.menuOthers.addAction(self.actionFlash_BMC)
        self.menuOthers.addAction(self.actionRefresh_Terminal_Console)
        self.menuOthers.addAction(self.actionReload_Test_Command_List)
        self.menuOthers.addAction(self.menuSensors_Realtime_Monitor.menuAction())
        self.menuOthers.addAction(self.actionExitTool)
        self.menuRDI_Speed.addAction(self.action20_Gb_s)
        self.menuRDI_Speed.addAction(self.action24_Gb_s)
        self.menuRDI_Speed.addAction(self.action28_Gb_s)
        self.menuRDI_Speed.addAction(self.action32_Gb_s)
        self.menuRDI_Speed.addAction(self.action36_Gb_s)
        self.menuRDI_Speed.addAction(self.action40_Gb_s)
        self.menuTurn_On_Off_RAS.addAction(self.actionTurn_On_RAS)
        self.menuTurn_On_Off_RAS.addAction(self.actionTurn_Off_RAS)
        self.menuBoot_Mode.addAction(self.action_boot_slc)
        self.menuBoot_Mode.addAction(self.action_boot_linux)
        self.menuBoot_Mode.addAction(self.action_boot_atft)
        self.menuBoot_Mode.addAction(self.action_boot_mprotest)
        self.menuEnable_RDI_Bandwidth_Control.addAction(self.actionEnRdiBw)
        self.menuEnable_RDI_Bandwidth_Control.addAction(self.actionDisRdiBw)
        self.menuRDI_ReCalibration.addAction(self.actionRecal_en)
        self.menuRDI_ReCalibration.addAction(self.actionRecal_dis)
        self.menuRDI_ReCalibration.addAction(self.actionRecal_on_Period_En)
        self.menuRDI_ReCalibration.addAction(self.actionRecal_on_Period_Dis)
        self.menu1P_2P.addAction(self.action2Pto1P)
        self.menu1P_2P.addAction(self.action1Pto2P)
        self.menuMesh_Mode.addAction(self.actionMono_Mode)
        self.menuMesh_Mode.addAction(self.actionQurant_Mode)
        self.menuMesh_Mode.addAction(self.actionHEMI1_Mode)
        self.menuMesh_Mode.addAction(self.actionHEMI2_Mode)
        self.menuNvparamConf.addAction(self.menuRDI_Speed.menuAction())
        self.menuNvparamConf.addAction(self.menuTurn_On_Off_RAS.menuAction())
        self.menuNvparamConf.addAction(self.menuBoot_Mode.menuAction())
        self.menuNvparamConf.addAction(self.menuEnable_RDI_Bandwidth_Control.menuAction())
        self.menuNvparamConf.addAction(self.menuRDI_ReCalibration.menuAction())
        self.menuNvparamConf.addAction(self.menu1P_2P.menuAction())
        self.menuNvparamConf.addAction(self.menuMesh_Mode.menuAction())
        self.menuNvparamConf.addAction(self.actionChange_DDRs_Speed)
        self.menuNvparamConf.addAction(self.actionChange_CCM)
        self.menuNvparamConf.addAction(self.actionMCU_Mask)
        self.menuNvparamConf.addAction(self.actionNvparam_Setting)
        self.menuStressTest.addAction(self.actionLinux_Stress_Test)
        self.menuStressTest.addAction(self.actionATFT_Stress_Test)
        self.menuBoardConfig.addAction(self.actionEnable_Secpro_Console)
        self.menuBoardConfig.addAction(self.actionEnable_BMC_Console)
        self.menuBoardConfig.addAction(self.actionEnable_second_console)
        self.menuBoardConfig.addAction(self.actionEnable_OpenOCD_via_BMC)
        self.menuBoardConfig.addAction(self.actionFix_BMC_IP)
        self.menuBoardConfig.addAction(self.actionChange_Console_Ports)
        self.menuBar.addAction(self.menuPower.menuAction())
        self.menuBar.addAction(self.menuLogParser.menuAction())
        self.menuBar.addAction(self.menuNvparamConf.menuAction())
        self.menuBar.addAction(self.menuStressTest.menuAction())
        self.menuBar.addAction(self.menuBoardConfig.menuAction())
        self.menuBar.addAction(self.menuOthers.menuAction())

        self.retranslateUi(MainWindow)
        QtCore.QMetaObject.connectSlotsByName(MainWindow)

    def retranslateUi(self, MainWindow):
        _translate = QtCore.QCoreApplication.translate
        MainWindow.setWindowTitle(_translate("MainWindow", "MainWindow"))
        self.Runmode_label.setText(_translate("MainWindow", "Run Mode"))
        self.Run_btn.setText(_translate("MainWindow", "RUN"))
        self.sleep_label.setText(_translate("MainWindow", "Duration(mins)"))
        self.duration.setItemText(0, _translate("MainWindow", "0"))
        self.duration.setItemText(1, _translate("MainWindow", "1"))
        self.duration.setItemText(2, _translate("MainWindow", "5"))
        self.duration.setItemText(3, _translate("MainWindow", "15"))
        self.duration.setItemText(4, _translate("MainWindow", "30"))
        self.duration.setItemText(5, _translate("MainWindow", "60"))
        self.duration.setItemText(6, _translate("MainWindow", "120"))
        self.duration.setItemText(7, _translate("MainWindow", "300"))
        self.duration.setItemText(8, _translate("MainWindow", "600"))
        self.duration.setItemText(9, _translate("MainWindow", "720"))
        self.duration.setItemText(10, _translate("MainWindow", "960"))
        self.duration.setItemText(11, _translate("MainWindow", "1440"))
        self.RDIinfo_label_2.setText(_translate("MainWindow", "Test Command"))
        self.sleep_label_2.setText(_translate("MainWindow", "Power Cycle Types"))
        self.reboot_test.setItemText(0, _translate("MainWindow", "No Reboot"))
        self.reboot_test.setItemText(1, _translate("MainWindow", "DC Cycle"))
        self.reboot_test.setItemText(2, _translate("MainWindow", "AC Cycle"))
        self.auto_parse_data.setText(_translate("MainWindow", "Auto Parsing Test Data"))
        self.auto_send_mail.setText(_translate("MainWindow", "Auto Send Report to Mail"))
        self.num_cycle.setItemText(0, _translate("MainWindow", "1"))
        self.num_cycle.setItemText(1, _translate("MainWindow", "3"))
        self.num_cycle.setItemText(2, _translate("MainWindow", "5"))
        self.num_cycle.setItemText(3, _translate("MainWindow", "10"))
        self.num_cycle.setItemText(4, _translate("MainWindow", "20"))
        self.num_cycle.setItemText(5, _translate("MainWindow", "30"))
        self.num_cycle.setItemText(6, _translate("MainWindow", "50"))
        self.num_cycle.setItemText(7, _translate("MainWindow", "100"))
        self.sleep_label_4.setText(_translate("MainWindow", "Iterations"))
        self.stop_btn.setText(_translate("MainWindow", "STOP"))
        self.bmc_label.setText(_translate("MainWindow", "BMC IP:"))
        self.groupBox.setTitle(_translate("MainWindow", "RDI Basic Info"))
        self.Chip_select.setItemText(0, _translate("MainWindow", "0"))
        self.CS_label.setText(_translate("MainWindow", "Chip_select"))
        self.Link.setItemText(0, _translate("MainWindow", "0"))
        self.Link_label.setText(_translate("MainWindow", "Link"))
        self.Sub_link_label.setText(_translate("MainWindow", "SubLink"))
        self.Sub_link.setItemText(0, _translate("MainWindow", "0"))
        self.Lane_label.setText(_translate("MainWindow", "Lane"))
        self.Lane.setItemText(0, _translate("MainWindow", "0"))
        self.re_CS_label.setText(_translate("MainWindow", "RemoteCS"))
        self.re_Link_label.setText(_translate("MainWindow", "<html><head/><body><p>Re<br/>Link</p></body></html>"))
        self.re_Sub_Link_label.setText(_translate("MainWindow", "<html><head/><body><p>Remote<br/>SubLink</p></body></html>"))
        self.re_lane_label.setText(_translate("MainWindow", "<html><head/><body><p>Remote<br/>Lane</p></body></html>"))
        self.groupBox_2.setTitle(_translate("MainWindow", "Runtime"))
        self.timer_label.setText(_translate("MainWindow", "00:00:00"))
        self.menuLogParser.setTitle(_translate("MainWindow", "LogParser"))
        self.menuSensor_Data.setTitle(_translate("MainWindow", "Sensor Data"))
        self.menuPower.setTitle(_translate("MainWindow", "Power"))
        self.menuFan_Control.setTitle(_translate("MainWindow", "Fan Control"))
        self.menuSet_Fan_PWM.setTitle(_translate("MainWindow", "Set Fan PWM"))
        self.menuOthers.setTitle(_translate("MainWindow", "Others"))
        self.menuSensors_Realtime_Monitor.setTitle(_translate("MainWindow", "Realtime Monitor"))
        self.menuNvparamConf.setTitle(_translate("MainWindow", "Nvparam"))
        self.menuRDI_Speed.setTitle(_translate("MainWindow", "RDI Speed Setting"))
        self.menuTurn_On_Off_RAS.setTitle(_translate("MainWindow", "RAS Setting"))
        self.menuBoot_Mode.setTitle(_translate("MainWindow", "Boot Mode"))
        self.menuEnable_RDI_Bandwidth_Control.setTitle(_translate("MainWindow", "RDI Bandwidth Control"))
        self.menuRDI_ReCalibration.setTitle(_translate("MainWindow", "RDI ReCalibration"))
        self.menu1P_2P.setTitle(_translate("MainWindow", "1P <=> 2P"))
        self.menuMesh_Mode.setTitle(_translate("MainWindow", "Mesh Mode"))
        self.menuStressTest.setTitle(_translate("MainWindow", "StressTest"))
        self.menuBoardConfig.setTitle(_translate("MainWindow", "BoardConfig"))
        self.actionBISTlog.setText(_translate("MainWindow", "RDI Phy BIST"))
        self.actionATBlog.setText(_translate("MainWindow", "RDI ATB"))
        self.actionSSOlog.setText(_translate("MainWindow", "RDI Dump SSO_SDO"))
        self.actionJDDlog.setText(_translate("MainWindow", "RDI JDD"))
        self.actionPMlog.setText(_translate("MainWindow", "RDI Power Management"))
        self.actionIOBlog.setText(_translate("MainWindow", "RDI IOBIST Test"))
        self.actionRebootDC.setText(_translate("MainWindow", "RebootDC"))
        self.actionRebootAC.setText(_translate("MainWindow", "RebootAC"))
        self.actionRefresh_Terminal_Console.setText(_translate("MainWindow", "Refresh or Close Current Tab"))
        self.actionFlash_Firmware.setText(_translate("MainWindow", "Flash Firmware"))
        self.actionSaveLog.setText(_translate("MainWindow", "Save Current Log"))
        self.actionTurnoff.setText(_translate("MainWindow", "TurnOff Board"))
        self.actionTurnon.setText(_translate("MainWindow", "TurnOn Board"))
        self.actionRDI_Regs_Dump.setText(_translate("MainWindow", "RDI PHY Dump"))
        self.action24_Gb_s.setText(_translate("MainWindow", "24 Gb/s"))
        self.action32_Gb_s.setText(_translate("MainWindow", "32 Gb/s"))
        self.action36_Gb_s.setText(_translate("MainWindow", "36 Gb/s"))
        self.action40_Gb_s.setText(_translate("MainWindow", "40 Gb/s"))
        self.actionCustom_Speed.setText(_translate("MainWindow", "Custom Speed"))
        self.actionTurn_On_RAS.setText(_translate("MainWindow", "Turn On RAS"))
        self.actionTurn_Off_RAS.setText(_translate("MainWindow", "Turn Off RAS"))
        self.actionEnable_MCU0.setText(_translate("MainWindow", "Enable MCU0"))
        self.actionEnable_MCU1.setText(_translate("MainWindow", "Enable MCU1"))
        self.actionEnable_MCU2.setText(_translate("MainWindow", "Enable MCU2"))
        self.actionEnable_MCU3.setText(_translate("MainWindow", "Enable MCU3"))
        self.actionEnable_all_MCUs.setText(_translate("MainWindow", "Enable all MCUs"))
        self.action_boot_linux.setText(_translate("MainWindow", "MPRO FW / LINUX"))
        self.action_boot_mprotest.setText(_translate("MainWindow", "MPRO TEST"))
        self.action_boot_atft.setText(_translate("MainWindow", "MPRO FW / ATF-T "))
        self.actionEDK2.setText(_translate("MainWindow", "EDK2"))
        self.actionEnable_second_console.setText(_translate("MainWindow", "Enable Free Terminal"))
        self.actionEnRdiBw.setText(_translate("MainWindow", "Enable"))
        self.actionDisRdiBw.setText(_translate("MainWindow", "Disable"))
        self.actionExitTool.setText(_translate("MainWindow", "Exit"))
        self.actionDDR_4800.setText(_translate("MainWindow", "4800"))
        self.action_fan_off.setText(_translate("MainWindow", "TurnOff all Fans"))
        self.action_fan_25.setText(_translate("MainWindow", "25% Speed"))
        self.action_fan_50.setText(_translate("MainWindow", "50% Speed"))
        self.action_fan_100.setText(_translate("MainWindow", "100% Speed"))
        self.actionRAS_Analyzer.setText(_translate("MainWindow", "RDI RAS Test"))
        self.actionMonitor_Sensors_via_BMC.setText(_translate("MainWindow", "Monitor Sensors via BMC"))
        self.actionMonitor_Sensors_via_Mpro.setText(_translate("MainWindow", "Monitor Sensors via Mpro"))
        self.actionTSM_Data.setText(_translate("MainWindow", "TSM Data"))
        self.actionPEM_Debug_Data.setText(_translate("MainWindow", "PEM Debug Data"))
        self.actionPEM_Dump_Data.setText(_translate("MainWindow", "PEM Dump Data"))
        self.actionMonitor_PEM_module.setText(_translate("MainWindow", "Monitor PEM module"))
        self.actionFlash_BMC.setText(_translate("MainWindow", "Flash BMC"))
        self.actionLinux_Stress_Test.setText(_translate("MainWindow", "Linux Stress Test"))
        self.actionATFT_Stress_Test.setText(_translate("MainWindow", "ATFT Stress Test"))
        self.actionRecal_en.setText(_translate("MainWindow", "Recal on CRC Enable"))
        self.action2Pto1P.setText(_translate("MainWindow", "2P => 1P"))
        self.action1Pto2P.setText(_translate("MainWindow", "1P => 2P"))
        self.actionLinux_Stress_Test_2.setText(_translate("MainWindow", "Linux Stress Test"))
        self.actionRecal_dis.setText(_translate("MainWindow", "Recal on CRC Disable"))
        self.actionRDI_Draw_SDO.setText(_translate("MainWindow", "RDI Draw SDO changes"))
        self.actionRecal_on_Period_En.setText(_translate("MainWindow", "Recal on Period Enable"))
        self.actionRecal_on_Period_Dis.setText(_translate("MainWindow", "Recal on Period Disable"))
        self.action_boot_slc.setText(_translate("MainWindow", "MPRO FW / SLC Mode"))
        self.actionEnable_BMC_Console.setText(_translate("MainWindow", "Enable BMC Console"))
        self.actionEnable_Secpro_Console.setText(_translate("MainWindow", "Enable Secpro Console"))
        self.actionRDI_Report_Analyzer.setText(_translate("MainWindow", "RDI Report Analyzer"))
        self.actionEnable_OpenOCD_via_BMC.setText(_translate("MainWindow", "Enable OpenOCD via BMC"))
        self.actionDDR_3600.setText(_translate("MainWindow", "3600"))
        self.actionDDR_3200.setText(_translate("MainWindow", "3200"))
        self.actionFix_BMC_IP.setText(_translate("MainWindow", "Change BMC IP to Static IP"))
        self.actionChange_Console_Ports.setText(_translate("MainWindow", "Change Console Ports"))
        self.actionChange_CCM.setText(_translate("MainWindow", "Core Cluster Masking"))
        self.actionReload_Test_Command_List.setText(_translate("MainWindow", "Reload Test Command List"))
        self.actionChange_DDRs_Speed.setText(_translate("MainWindow", "Change DDRs Speed"))
        self.actionDDR_4400.setText(_translate("MainWindow", "4400"))
        self.actionMono_Mode.setText(_translate("MainWindow", "MONO Mode"))
        self.actionQurant_Mode.setText(_translate("MainWindow", "QUAD Mode"))
        self.action28_Gb_s.setText(_translate("MainWindow", "28 Gb/s"))
        self.action20_Gb_s.setText(_translate("MainWindow", "20 Gb/s"))
        self.actionHEMI1_Mode.setText(_translate("MainWindow", "HEMI1 Mode"))
        self.actionHEMI2_Mode.setText(_translate("MainWindow", "HEMI2 Mode"))
        self.actionMCU_Mask.setText(_translate("MainWindow", "MCU Mask"))
        self.actionNvparam_Setting.setText(_translate("MainWindow", "Multiple Nvparam Change"))


if __name__ == "__main__":
    import sys
    app = QtWidgets.QApplication(sys.argv)
    MainWindow = QtWidgets.QMainWindow()
    ui = Ui_MainWindow()
    ui.setupUi(MainWindow)
    MainWindow.show()
    sys.exit(app.exec_())
